Bug 63890 - LibreOffice installs w/o checking for libX11, cups-libs and others
Summary: LibreOffice installs w/o checking for libX11, cups-libs and others
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-24 14:08 UTC by Brian Schonecker
Modified: 2016-09-19 16:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Schonecker 2013-04-24 14:08:59 UTC
When installing Libre Office on a minimal system, the install of libreoffice4.0 doesn't check for dependencies for 'soffice.bin'.

In my case, I want to run 'soffice.bin' headless for conversion of files to PDF.  This is a minimal system with no X11 installed.
[localuser@test-ooo01 ~]$ sudo /bin/bash
[root@test-ooo01 localuser]# yum -y install /opt/libreoffice4.0/program/soffice.bin

<snip>
Resolving Dependencies
--> Running transaction check
---> Package libreoffice4.0.x86_64 0:4.0.2.2-2 will be installed
--> Processing Dependency: libobasis4.0-images for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libobasis4.0-core02 for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libobasis4.0-core05 for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libobasis4.0-core04 for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libobasis4.0-core07 for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libobasis4.0-core03 for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libobasis4.0-core06 for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libreoffice4.0-ure for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Processing Dependency: libobasis4.0-core01 for package: libreoffice4.0-4.0.2.2-2.x86_64
--> Running transaction check
---> Package libobasis4.0-core01.x86_64 0:4.0.2.2-2 will be installed
---> Package libobasis4.0-core02.x86_64 0:4.0.2.2-2 will be installed
---> Package libobasis4.0-core03.x86_64 0:4.0.2.2-2 will be installed
---> Package libobasis4.0-core04.x86_64 0:4.0.2.2-2 will be installed
--> Processing Dependency: libfreetype.so.6()(64bit) for package: libobasis4.0-core04-4.0.2.2-2.x86_64
---> Package libobasis4.0-core05.x86_64 0:4.0.2.2-2 will be installed
---> Package libobasis4.0-core06.x86_64 0:4.0.2.2-2 will be installed
---> Package libobasis4.0-core07.x86_64 0:4.0.2.2-2 will be installed
---> Package libobasis4.0-images.x86_64 0:4.0.2.2-2 will be installed
---> Package libreoffice4.0-ure.x86_64 0:4.0.2.2-2 will be installed
--> Running transaction check
---> Package freetype.x86_64 0:2.3.11-14.el6_3.1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================================================
 Package                                 Arch                       Version                                Repository                                Size
==========================================================================================================================================================
Installing:
 libreoffice4.0                          x86_64                     4.0.2.2-2                              libreofficejunk                          1.1 M
Installing for dependencies:
 freetype                                x86_64                     2.3.11-14.el6_3.1                      rhel-x86_64-server-6                     359 k
 libobasis4.0-core01                     x86_64                     4.0.2.2-2                              libreofficejunk                           17 M
 libobasis4.0-core02                     x86_64                     4.0.2.2-2                              libreofficejunk                          431 k
 libobasis4.0-core03                     x86_64                     4.0.2.2-2                              libreofficejunk                          3.4 M
 libobasis4.0-core04                     x86_64                     4.0.2.2-2                              libreofficejunk                           44 M
 libobasis4.0-core05                     x86_64                     4.0.2.2-2                              libreofficejunk                           25 M
 libobasis4.0-core06                     x86_64                     4.0.2.2-2                              libreofficejunk                          6.1 M
 libobasis4.0-core07                     x86_64                     4.0.2.2-2                              libreofficejunk                          9.7 k
 libobasis4.0-images                     x86_64                     4.0.2.2-2                              libreofficejunk                          8.6 M
 libreoffice4.0-ure                      x86_64                     4.0.2.2-2                              libreofficejunk                          4.1 M

Transaction Summary
==========================================================================================================================================================
Install      11 Package(s)

Total download size: 111 M
Installed size: 0  
Downloading Packages:
(1/11): freetype-2.3.11-14.el6_3.1.x86_64.rpm                                                                                      | 359 kB     00:00     
<snip>
(11/11): libreoffice4.0-ure-4.0.2.2-2.x86_64.rpm                                                                                   | 4.1 MB     00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                      17 MB/s | 111 MB     00:06     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : libreoffice4.0-ure-4.0.2.2-2.x86_64                                                                                                   1/11 
<snip>
Verifying  : libreoffice4.0-4.0.2.2-2.x86_64                                                                                                      11/11 

Installed:
  libreoffice4.0.x86_64 0:4.0.2.2-2                                                                                                                       

Dependency Installed:
  freetype.x86_64 0:2.3.11-14.el6_3.1                libobasis4.0-core01.x86_64 0:4.0.2.2-2             libobasis4.0-core02.x86_64 0:4.0.2.2-2            
  libobasis4.0-core03.x86_64 0:4.0.2.2-2             libobasis4.0-core04.x86_64 0:4.0.2.2-2             libobasis4.0-core05.x86_64 0:4.0.2.2-2            
  libobasis4.0-core06.x86_64 0:4.0.2.2-2             libobasis4.0-core07.x86_64 0:4.0.2.2-2             libobasis4.0-images.x86_64 0:4.0.2.2-2            
  libreoffice4.0-ure.x86_64 0:4.0.2.2-2             

Complete!



[root@test-ooo01 localuser]#  /opt/libreoffice4.0/program/soffice.bin --headless --nofirststartwizard --nologo --norestore --invisible --accept="socket,host=0.0.0.0,port=8100;urp;StarOffice.Service"
/opt/libreoffice4.0/program/soffice.bin: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory
[root@test-ooo01 localuser]# 



The list of required packages that aren't being checked for are:

libXll
cups-libs
fontconfig
Comment 1 Robinson Tryon (qubit) 2014-07-03 15:38:16 UTC
(In reply to comment #0)
> When installing Libre Office on a minimal system, the install of
> libreoffice4.0 doesn't check for dependencies for 'soffice.bin'.

Hi Brian,

Are you using packages directly from the LibreOffice project, or from some other source? I believe that our rpm packages include full dependencies in the spec file, but I'll look into this.

cc: cloph
Comment 2 tommy27 2014-10-24 07:04:13 UTC
It would be nice to have the bug retested on a newer LibO version (4.3.2.2 is out) than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never
closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of
LibreOffice 
2) If it is present please leave a comment telling us what version of
LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a
short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that
is not appropriate in this case)
Comment 3 retired 2014-12-07 21:22:15 UTC
NEEDINFO as of Comment 1 and 2.
Comment 4 QA Administrators 2015-06-08 14:28:39 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2015-07-18 17:27:16 UTC Comment hidden (obsolete)
Comment 6 Robinson Tryon (qubit) 2015-12-18 10:24:06 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2016-09-19 16:48:04 UTC Comment hidden (obsolete)